Bug 734142 - System hangs without nomodeset (ati radeon xpress 200M)
Summary: System hangs without nomodeset (ati radeon xpress 200M)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 14:39 UTC by Slobodan Sredojevic
Modified: 2011-10-07 17:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 17:28:40 UTC


Attachments (Terms of Use)
dmesg (41.75 KB, text/plain)
2011-08-29 14:39 UTC, Slobodan Sredojevic
no flags Details

Description Slobodan Sredojevic 2011-08-29 14:39:15 UTC
Created attachment 520412 [details]
dmesg

I can't boot neither one of F15/F16alpha livecds as it hangs (and sometimes restarts pc). But if I pass nomodeset to the kernel parameter line (or choose basic video from livecd media menu) it boots but only in gnome-shell's failsafe mode. Tried pci=nomsi as solution from some other bug reports but with no success.

lspci -vv

01:05.0 VGA compatible controller: ATI Technologies Inc RS400 [Radeon Xpress 200] (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 81c8
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at ee00 [size=256]
	Region 2: Memory at fddf0000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at fdd00000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Kernel modules: radeon

Comment 1 Slobodan Sredojevic 2011-10-06 22:50:29 UTC
I can't see this is happening with F16 beta as live media booted fine with no additional parameters needed, gnome-shell started fine, had no single crash or freeze in livecd mode. Installed and updated system (updates-testing enabled) works fine too.

For the record, system that had problems was asus pundit p1-ph1
http://www.asus.com/Barebone_PC/P_Series_0811L/P1PH1/#specifications

So, seems fix came between F16alpha and F16beta.

Comment 2 Dave Jones 2011-10-07 17:28:40 UTC
thanks for testing f16.
We'll be rebasing f15 to the same kernel as 16 after it has been released, so if the fix is there, we'll inherit it.


Note You need to log in before you can comment on or make changes to this bug.